org.apache.calcite.avatica.proto

## Class Common.Signature

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.Signature

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.SignatureOrBuilder

Enclosing class:
  Common

    public static final class Common.Signature
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.SignatureOrBuilder

     Results of preparing a statement

Protobuf type `Signature`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.Signature.Builder` Results of preparing a statement

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private List<Common.ColumnMetaData>` `columns_`
`static int` `COLUMNS_FIELD_NUMBER`
`static int` `CURSOR_FACTORY_FIELD_NUMBER`
`private Common.CursorFactory` `cursorFactory_`
`private static Common.Signature` `DEFAULT_INSTANCE`
`private byte` `memoizedIsInitialized`
`private List<Common.AvaticaParameter>` `parameters_`
`static int` `PARAMETERS_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Common.Signature>` `PARSER`
`private static long` `serialVersionUID`
`private Object` `sql_`
`static int` `SQL_FIELD_NUMBER`
`private int` `statementType_`
`static int` `STATEMENTTYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `Common.Signature()`
`private` `Common.Signature(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `Common.Signature(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`Common.ColumnMetaData` `getColumns(int index)` `repeated .ColumnMetaData columns = 1;`
`int` `getColumnsCount()` `repeated .ColumnMetaData columns = 1;`
`List<Common.ColumnMetaData>` `getColumnsList()` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` `repeated .ColumnMetaData columns = 1;`
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` `repeated .ColumnMetaData columns = 1;`
`Common.CursorFactory` `getCursorFactory()` `optional .CursorFactory cursor_factory = 4;`
`Common.CursorFactoryOrBuilder` `getCursorFactoryOrBuilder()` `optional .CursorFactory cursor_factory = 4;`
`static Common.Signature` `getDefaultInstance()`
`Common.Signature` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Common.AvaticaParameter` `getParameters(int index)` `repeated .AvaticaParameter parameters = 3;`
`int` `getParametersCount()` `repeated .AvaticaParameter parameters = 3;`
`List<Common.AvaticaParameter>` `getParametersList()` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameterOrBuilder` `getParametersOrBuilder(int index)` `repeated .AvaticaParameter parameters = 3;`
`List<? extends Common.AvaticaParameterOrBuilder>` `getParametersOrBuilderList()` `repeated .AvaticaParameter parameters = 3;`
`com.google.protobuf.Parser<Common.Signature>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getSql()` `optional string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `optional string sql = 2;`
`Common.StatementType` `getStatementType()` `optional .StatementType statementType = 5;`
`int` `getStatementTypeValue()` `optional .StatementType statementType = 5;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasCursorFactory()` `optional .CursorFactory cursor_factory = 4;`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.Signature.Builder` `newBuilder()`
`static Common.Signature.Builder` `newBuilder(Common.Signature prototype)`
`Common.Signature.Builder` `newBuilderForType()`
`protected Common.Signature.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.Signature` `parseDelimitedFrom(InputStream input)`
`static Common.Signature` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Signature` `parseFrom(byte[] data)`
`static Common.Signature` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Signature` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.Signature` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Signature` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.Signature` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.Signature` `parseFrom(InputStream input)`
`static Common.Signature` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.Signature>` `parser()`
`Common.Signature.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### COLUMNS_FIELD_NUMBER

    public static final int COLUMNS_FIELD_NUMBER

See Also:
  Constant Field Values

#### columns_

    private List<Common.ColumnMetaData> columns_

#### SQL_FIELD_NUMBER

    public static final int SQL_FIELD_NUMBER

See Also:
  Constant Field Values

#### sql_

    private volatile Object sql_

#### PARAMETERS_FIELD_NUMBER

    public static final int PARAMETERS_FIELD_NUMBER

See Also:
  Constant Field Values

#### parameters_

    private List<Common.AvaticaParameter> parameters_

#### CURSOR_FACTORY_FIELD_NUMBER

    public static final int CURSOR_FACTORY_FIELD_NUMBER

See Also:
  Constant Field Values

#### cursorFactory_

    private Common.CursorFactory cursorFactory_

#### STATEMENTTYPE_FIELD_NUMBER

    public static final int STATEMENTTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### statementType_

    private int statementType_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.Signature DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.Signature> PARSER

### Constructor Detail

#### Common.Signature

    private Common.Signature(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### Common.Signature

    private Common.Signature()

#### Common.Signature

    private Common.Signature(com.google.protobuf.CodedInputStream input,
                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getColumnsList

    public List<Common.ColumnMetaData> getColumnsList()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsList` in interface `Common.SignatureOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsOrBuilderList` in interface `Common.SignatureOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsCount` in interface `Common.SignatureOrBuilder`

#### getColumns

    public Common.ColumnMetaData getColumns(int index)

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumns` in interface `Common.SignatureOrBuilder`

#### getColumnsOrBuilder

    public Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

`repeated .ColumnMetaData columns = 1;`

Specified by:
  `getColumnsOrBuilder` in interface `Common.SignatureOrBuilder`

#### getSql

    public String getSql()

`optional string sql = 2;`

Specified by:
  `getSql` in interface `Common.SignatureOrBuilder`

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

`optional string sql = 2;`

Specified by:
  `getSqlBytes` in interface `Common.SignatureOrBuilder`

#### getParametersList

    public List<Common.AvaticaParameter> getParametersList()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersList` in interface `Common.SignatureOrBuilder`

#### getParametersOrBuilderList

    public List<? extends Common.AvaticaParameterOrBuilder> getParametersOrBuilderList()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersOrBuilderList` in interface `Common.SignatureOrBuilder`

#### getParametersCount

    public int getParametersCount()

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersCount` in interface `Common.SignatureOrBuilder`

#### getParameters

    public Common.AvaticaParameter getParameters(int index)

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParameters` in interface `Common.SignatureOrBuilder`

#### getParametersOrBuilder

    public Common.AvaticaParameterOrBuilder getParametersOrBuilder(int index)

`repeated .AvaticaParameter parameters = 3;`

Specified by:
  `getParametersOrBuilder` in interface `Common.SignatureOrBuilder`

#### hasCursorFactory

    public boolean hasCursorFactory()

`optional .CursorFactory cursor_factory = 4;`

Specified by:
  `hasCursorFactory` in interface `Common.SignatureOrBuilder`

#### getCursorFactory

    public Common.CursorFactory getCursorFactory()

`optional .CursorFactory cursor_factory = 4;`

Specified by:
  `getCursorFactory` in interface `Common.SignatureOrBuilder`

#### getCursorFactoryOrBuilder

    public Common.CursorFactoryOrBuilder getCursorFactoryOrBuilder()

`optional .CursorFactory cursor_factory = 4;`

Specified by:
  `getCursorFactoryOrBuilder` in interface `Common.SignatureOrBuilder`

#### getStatementTypeValue

    public int getStatementTypeValue()

`optional .StatementType statementType = 5;`

Specified by:
  `getStatementTypeValue` in interface `Common.SignatureOrBuilder`

#### getStatementType

    public Common.StatementType getStatementType()

`optional .StatementType statementType = 5;`

Specified by:
  `getStatementType` in interface `Common.SignatureOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.Signature parseFrom(com.google.protobuf.ByteString data)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Signature parseFrom(com.google.protobuf.ByteString data,
                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Signature parseFrom(byte[] data)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Signature parseFrom(byte[] data,
                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.Signature parseFrom(InputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.Signature parseFrom(InputStream input,
                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.Signature parseDelimitedFrom(InputStream input)
                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.Signature parseDelimitedFrom(InputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.Signature parseFrom(com.google.protobuf.CodedInputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.Signature parseFrom(com.google.protobuf.CodedInputStream input,
                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.Signature.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.Signature.Builder newBuilder()

#### newBuilder

    public static Common.Signature.Builder newBuilder(Common.Signature prototype)

#### toBuilder

    public Common.Signature.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.Signature.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.Signature getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.Signature> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.Signature> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.Signature getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`